Loading...
Searching...
No Matches
usb::Usb Interface Reference

USB interface. More...

## Classes

struct | Settings
| USB interface settings. More...
struct | SettingsChangedEvent
| Event: Settings have changed. More...

## Public Member Functions

Settings | getSettings ()
| Retrieve the USB interface settings. More...
int | setSettings (in Settings settings)
| Change the USB interface settings. More...
void | getDevices (out vector< UsbDevice > usbDevices)
| Get a list of USB devices connected to the host port. More...

## Detailed Description

USB interface.

## Member Function Documentation

## getDevices()

void usb::Usb::getDevices | ( | out vector< UsbDevice > | usbDevices | ) |

Get a list of USB devices connected to the host port.

Parameters

  usbDevices | Result: List of discovered devices

## getSettings()

Settings usb::Usb::getSettings | ( |  | ) |

Retrieve the USB interface settings.

Returns
  USB interface settings

## setSettings()

int usb::Usb::setSettings | ( | in Settings | settings | ) |

Change the USB interface settings.

Parameters

  settings | New settings

Returns
  0 if OK

The documentation for this interface was generated from the following file:

- Usb.idl